import { createRouter, createWebHashHistory } from 'vue-router'

const routes = [{
        path: '/',
        name: 'home',
        component: () =>
            import ('../views/login/login.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/login',
        name: 'login',
        component: () =>
            import ('../views/login/login.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/forget',
        name: 'forget',
        component: () =>
            import ('../views/login/forget.vue'),
        meta: {
            isShowTarbar: false,
        }
    }, {
        path: '/tab_a',
        name: 'tab_a',
        component: () =>
            import ('../views/tab_a/tab_a.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/siteInspectionList',
        name: 'siteInspectionList',
        component: () =>
            import ('../views/activityMan/siteInspection/siteInspectionList.vue'),
        meta: {
            isShowTarbar: true,
        }
    },{
        path: '/toBeDone',
        name: 'toBeDone',
        component: () =>
            import ('../views/toBeDone/toBeDone.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/toBeDone_details',
        name: 'toBeDone_details',
        component: () =>
            import ('../views/toBeDone/toBeDone_details.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/placeActivityList',
        name: 'placeActivityList',
        component: () =>
            import ('../views/activityMan/placeactivity/placeActivityList.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/placeActivity',
        name: 'placeActivity',
        component: () =>
            import ('../views/activityMan/placeactivity/placeActivityView.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/placeActivityInfo',
        name: 'placeActivityInfo',
        component: () =>
            import ('../views/activityMan/placeactivity/placeActivityInfo.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/selfMeetingList',
        name: 'selfMeetingList',
        component: () =>
            import ('../views/activityMan/selfMeetingReport/selfMeetingList.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/selfMeeting',
        name: 'selfMeeting',
        component: () =>
            import ('../views/activityMan/selfMeetingReport/selfMeetingView.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/abnormalCrowd',
        name: 'abnormalCrowd',
        component: () =>
            import ('../views/activityMan/abnormalcrowd/abnormalCrowdView.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/setting',
        name: 'setting',
        component: () =>
            import ('../views/setting/setting.vue'),
        meta: {
            isShowTarbar: true,
        }
    }, {
        path: '/tabAll',
        name: 'tabAll',
        component: () =>
            import ('../views/tab_a/tabAll.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/about',
        name: 'about',
        component: () =>
            import ('../views/AboutView.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/placePerson',
        name: 'placePerson',
        component: () =>
            import ('../views/placeManage/placePerson.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/placePersoninfo',
        name: 'placePersoninfo',
        component: () =>
            import ('../views/placeManage/placePersoninfo.vue'),
        meta: {
            isShowTarbar: false,
        }
    },
    {
        path: '/placeRegister',
        name: 'placeRegister',
        component: () =>
            import ('../views/placeManage/placeRegister.vue'),
        meta: {
            isShowTarbar: false,
        }
    }
]

const router = createRouter({
    history: createWebHashHistory(),
    routes,
})

export default router